package com.qmth.sop.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.enums.DeviceDeliveryStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @Description: 设备发货param
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/11/29
 */
public class TBDeviceDeliveryParam implements Serializable {

    @ApiModelProperty("设备发货id数组")
    @NotEmpty(message = "设备发货id数组不能为空")
    @JsonSerialize(using = ToStringSerializer.class)
    List<Long> ids;

    @ApiModelProperty("设备发货状态")
    @NotNull(message = "设备发货状态不能为空")
    DeviceDeliveryStatusEnum status;

    public List<Long> getIds() {
        return ids;
    }

    public void setIds(List<Long> ids) {
        this.ids = ids;
    }

    public DeviceDeliveryStatusEnum getStatus() {
        return status;
    }

    public void setStatus(DeviceDeliveryStatusEnum status) {
        this.status = status;
    }
}
